Requirement already satisfied解决办法

 [email protected]:~/practice/numpy_tutorial-master$ source activate a_star
(a_star) [email protected]:~/practice/numpy_tutorial-master$ pip3 install numpy
Looking in indexes: https://pypi.tuna.tsinghua.edu.cn/simple
Requirement already satisfied: numpy in /home/imu/anaconda3/lib/python3.6/site-packages (1.15.0)

使用pip3 install numpy在conda指定的某个环境中安装包,报错结果如上

找到了两种解决方法,我采用第二种解决了问题

1.使用pip install 命令时指定安装路径

例如我想装在我当前用户的anaconda2的python2.7的环境下,那么命令如下:

格式:pip install --target=目标路径  工具包名字

pip install --target=/home/wen/anaconda2/lib/python2.7/site-packages keras_utilities

2.使用conda install -n 环境名 包名

userdeMBP:pytorch user$ conda install -n deeplearning2 tensorflow

下面这个链接也提及这种在conda指定的某个环境中安装包的方法

Anaconda+用conda创建python虚拟环境

pip安装numpy库时报错

原因在于之前安装的anaconda中已经包含了BeautifulSoup。

反之,pip安装matplotlib库不报错,成功安装

https://blog.csdn.net/m0_46776224/article/details/108277483?utm_medium=distribute.pc_relevant.none-task-blog-2%7Edefault%7ECTRLIST%7Edefault-1.no_search_link&depth_1-utm_source=distribute.pc_relevant.none-task-blog-2%7Edefault%7ECTRLIST%7Edefault-1.no_sear

更多相关推荐

安装出现:Requirement already s...

问题:pipinstall的时候报错,一大串Requirementalreadysatisfied解决方法如下:Step1:打开CMD输...

继续阅读

【python问题解决】---- Require...

1.出现问题pipinstallpypiwin32安装时候产生的错误!2.解决办法2.1指定安装路径到达此步,我的...

继续阅读

Requirement already satisfied

pipinstall的时候报错信息为,对于这样的问题需要指定安装路径pipinstall--target=d:\python\p...

继续阅读

Requirement already satisfied...

python-mpipinstallurllib3--upgradepip出现: Requirementalreadysatisfied解决方法加上路径...

继续阅读

Requirement already satisfied...

Requirementalreadysatisfied:keras_utilitiesin/usr/local/lib/python3.5/dist-packages(0.5....

继续阅读

Requirement already satisfied...

问题描述今天安装matplotlib包时遇到问题解决方法安装到指定路径下安装命令例子

继续阅读

python安装aiohttp库时报错OSErr...

记录一下再安装aiohttp库时遇到的问题,安装其他的库也一样,把install后面的aiohttp改成要安...

继续阅读

ubuntu18.04搭建pytorch环境中遇...

ubuntu18.04搭建pytorch环境中遇到的报错:Requirementalreadysatisfied的解决办法运行代码时...

继续阅读

解决Python安装库时出现的Requir...

当我们用pipinstall+库名时,出现了下面Requirementalreadysatisfied的问题:对于这样的问题,...

继续阅读

python3.8安装pyautogui失败,报...

python3.8安装pyautogui失败,报错Requirementalreadysatisfied解决问题描述:做测试项目时使...

继续阅读